ProLiant Servers (ML,DL,SL)

Remote Insight/ Integrated Lights-Out interface error

 
Oscar A. Perez
Honored Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

This is bad news.  Can you please send me your contact info via a PM? Thanks.

 

 

 




__________________________________________________
If you feel this was helpful please click the KUDOS! thumb below!
Oscar A. Perez
Honored Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

Yes, in the iLO3 Channel Interface driver (a.k.a CHIF driver) version 3.9.0.0 we have made changes to the CPQSMIF.DLL to improve the communication between iLO and the Agents/SMH.

Also, working with another customer last week, I noticed that they had a very old version of CPQSMIF.DLL in their systems, version that has known issues reestablishing communication with iLO. In case you didn't know, CPQSMIF.DLL is the API that allows user mode applications like the Agents and SMH to communicate with iLO3/iLO4 through the CHIF driver and it is shipped as a component of the iLO3/4 CHIF driver package.

Apparently, Version Control Agent (VCA) on this customer would only display the iLO3 Management Driver version (CORE) so, since they were relying on VCA to update their drivers and Agents, they were only updating CORE driver, leaving CHIF driver with a very old version on their systems.

Please check what version of CPQSMIF.DLL you have in your system. If you have anything older than version 3.5.0.0 you need to re-install the iLO3/4 Channel Interface Driver package on your systems.

The location of CPQSMIF.DLL is:
%SystemRoot%\System32 for a 32bit Windows
%SystemRoot%\System32 and %SystemRoot%\SysWOW64 for a 64bit Windows.


Also, if you want to test Beta drivers v3.9.0.0, you can find them in the below FTP.
ftp://ilo4me:G!v3t2me@ftp.usa.hp.com/driver/iLO3-v3.9.0.0-beta/




__________________________________________________
If you feel this was helpful please click the KUDOS! thumb below!
CLEB
Valued Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

I am seeing the 9006 snmp errors for two of my BL460c G7 servers. One of them definitely has old CPQSMIF.DLL and Agents.

 

I will upgrade these and report back with the result.

PNX Alan
Occasional Advisor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

Sorry for the long delay in getting back to you, I've been busy with other things.  My CHIF driver was out-of-date (3.1) and not showing in our VCA page.  I updated to the 3.9 drivers on the FTP site and flashed the iLO to 1.57.  So far so good so we'll see if it stays that way over the next few days.

 

Thanks

 

Alan

PNX Alan
Occasional Advisor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

One thing I have noticed now is that after applying the updates both servers are reporting a warning in System Center.  The Warning is

 

ServerOthers_SNMP.HealthState HealthWarning

 

and I also see

 

ServerOthers_SNMP.FailedComponent Other System Health (UID, POST)

 

I'm don't think these were showing before the update but may have been.  Everything in the SM Homepage is green and if I log onto the iLO everything looks green there are well.  I'm at a loss as to how to track this down.

PNX Alan
Occasional Advisor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

Ah solved it and it was unrelated :)
Oscar A. Perez
Honored Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

Please keep us updated with the results.

 

BTW, the iLO3 1.57 is no different than the version 1.55 on this regard. It is being released mainly to solve the DL980 false overtemp issue.




__________________________________________________
If you feel this was helpful please click the KUDOS! thumb below!
CLEB
Valued Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

I've received iLO 9006 interface error again after upgrading the CHF version.

 

HP Emulex 10GbE iSCSI Driver for Windows Server 2008 R2 4.0.317.0
HP Emulex 10GbE Driver for Windows Server 2008 R2 4.0.449.0
HP ProLiant Smart Array SAS/SATA Event Notification Service for Windows Server 2008 x64 Editions 6.26.0.64
HP ProLiant Smart Array P700m Clustering Support Software for Windows 1.3.0.0
HP ProLiant Array Configuration Utility for Windows 9.0.24.0
HP ProLiant Integrated Management Log Viewer for Windows Server x64 Editions 6.0.0.0
HP Network Configuration Utility for Windows Server 2008 R2 10.50.0.0
HP Insight Management Agents for Windows Server x64 Editions 9.30.0.0
Matrox G200eH Video Controller Driver for Windows Server 2008 X64 6.12.1.1020
Headless Server Registry Update for Windows 1.0.0.0
HP ProLiant Array Configuration Utility (CLI) for Windows 9.0.24.0
HP Insight Diagnostics Online Edition for Windows x64 Editions 9.0.0.4179
HP Lights-Out Online Configuration Utility for Windows 2003/2008/2012 x64 Editions 4.0.0.0
HP System Management Homepage for Windows x64 7.2.1.3
HP Storage Tape Drivers for Windows 3.5.0.0
PFA Server Registry Update for Windows 1.0.0.0
HP ProLiant iLO 3/4 Management Controller Driver Package for Windows Server 2008/2012 X64 3.8.0.0
HP Version Control Agent for Windows x64 7.2.0.0
HP Storage Fibre Channel Adapter Kit for the x64 QLogic Storport Driver 3.16.0.0
Online ROM Flash Component for Windows x64 - HP ProLiant BL460c G7 (I27) Servers 2011.05.05
Online ROM Flash Component for Windows x64 - HP Integrated Lights-Out 3 1.55

 

 

Oscar A. Perez
Honored Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

I don't see the  "HP ProLiant iLO 3/4 Channel Interface Driver for Windows X64" listed there. This is the one that comes with the CPQSMIF.DLL

 

Can you please double check it's version?  Are you testing the Beta CHIF driver v3.9.0.0 that I uploaded to the FTP?

 

 




__________________________________________________
If you feel this was helpful please click the KUDOS! thumb below!
CLEB
Valued Contributor

Re: Remote Insight interface error. .1.3.6.1.4.1.232.0.9006 nterface error

Version 3.1 was installed but not showing in the VC agent software list. I've installed v3.7

I've downloaded the beta version. Shall wait and see if I still get the errors.